# Method: sellers.availabilityOrders.availabilityLines.complete

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines/complete#examples)

Marks an existing availability line as complete.

- Returns the updated availability line if successful.
- Returns error code `PERMISSION_DENIED` if the user does not have access to the seller or seller id does not exist.
- Returns error code `NOT_FOUND` if the availability line does not exist.
- Returns error code `FAILED_PRECONDITION` if state of the order or line is not `STATE_PENDING`.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{name=sellers/*/availabilityOrders/*/availabilityLines/*}:complete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the availability line to be completed, for example: "sellers/111/availabilityOrders/123/availabilityLines/321" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "lineTerms": { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/LineTerms`) } } ``` |

| Fields ||
|---|---|
| `lineTerms` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/LineTerms`)`` Required. The seller guaranteed terms for this line. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.availabilityOrders.availabilityLines#AvailabilityLine`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).